# template: default
%global gem_name google-cloud-env

Name: rubygem-%{gem_name}
Version: 1.6.0
Release: 1%{?dist}
Summary: Google Cloud Platform hosting environment information
License: Apache-2.0
URL: https://github.com/googleapis/ruby-cloud-env
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.5
BuildRequires: ruby >= 2.5
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
google-cloud-env provides information on the Google Cloud Platform hosting
environment. Applications can use this library to determine hosting context
information such as the project ID, whether App Engine is running, what tags
are set on the VM instance, and much more.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%exclude %{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/SECURITY.md

%changelog
* Tue Jul 26 2022 Foreman Packaging Automation <packaging@theforeman.org> 1.6.0-1
- Update to 1.6.0

* Thu Mar 11 2021 Eric D. Helms <ericdhelms@gmail.com> - 1.3.3-2
- Rebuild against rh-ruby27

* Thu Oct 08 2020 Ondřej Ezr <oezr@redhat.com> 1.3.3-1
- Add rubygem-google-cloud-env generated by gem2rpm using the scl template

